# eth\_getTransactionReceipt

Note: Transaction receipts are not available for pending transactions

1. Parameters

   <mark style="color:blue;">hash</mark> string REQUIRED

   The hash of a transaction

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getTransactionReceipt","params":["0x85d995eba9763907fdf35cd2034144dd9d53ce32cbec21349d4b12823c6860c5"],"id":1,"jsonrpc":"2.0"}'

```

2. Returns

   **object -**&#x41; transaction receipt object, or null when no receipt was found

* <mark style="color:blue;">blockHash</mark> The hash of the block where this transaction was in&#x20;
* <mark style="color:blue;">blockNumber</mark> The block number where this transaction was added encoded as a hexadecimal&#x20;
* <mark style="color:blue;">contractAddress</mark> The contract address created for contract creation, otherwise null&#x20;
* <mark style="color:blue;">cumulativeGasUsed</mark> The total gas used when this transaction was executed in the block&#x20;
* <mark style="color:blue;">effectiveGasPrice</mark> The total base charge plus tip paid for each unit of gas from The address of the sender&#x20;
* <mark style="color:blue;">gasUsed</mark> The amount of gas used by this specific transaction alone
* **Logs**
  * <mark style="color:blue;">**address**</mark> The address from which this log was generated&#x20;
  * <mark style="color:blue;">topics</mark> An array of zero to four 32 Bytes DATA In Solidity, the first topic is the hash of the signature of the event (e.g. Deposit(address, bytes32, uint256)), except you declare the event with the anonymous specifier&#x20;
  * <mark style="color:blue;">data</mark> The 32 byte non-indexed argument of the log&#x20;
  * <mark style="color:blue;">blockNumber</mark> The block number where this log was in&#x20;
  * <mark style="color:blue;">transactionHash</mark> The hash of the transaction from which this log was created from. null if the log is pending&#x20;
  * <mark style="color:blue;">transactionIndex</mark> The transactions index position from which this log was created from. null if the log is pending&#x20;
  * <mark style="color:blue;">blockHash</mark> The hash of the block where this log was in&#x20;
  * <mark style="color:blue;">logIndex</mark> The integer of log index position in the block encoded as hexadecimal. null if the log is pending&#x20;
  * <mark style="color:blue;">removed</mark> It is true if log was removed, due to a chain reorganization and false if it's a valid log
* <mark style="color:blue;">logsBloom</mark> The bloom filter which is used to retrive related logs&#x20;
* <mark style="color:blue;">status</mark> It is either 1 (success) or 0 (failure) encoded as a hexadecimal&#x20;
* <mark style="color:blue;">to</mark> The address of the receiver. Null when its a contract creation transaction&#x20;
* <mark style="color:blue;">transactionHash</mark> The hash of the transaction&#x20;
* <mark style="color:blue;">transactionIndex</mark> The transactions index position in the block encoded as a hexadecimal&#x20;
* <mark style="color:blue;">type</mark> The type of value


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_gettransactionreceipt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
